on run argv
	
	-- get the time that the screen saver started
	set screenSaverInitializeTime to date (first item of argv)
	
	tell application "iChat"
		
		-- initialize total
		set totalNumberOfUnreadMessages to 0
		
		-- loop through every chat
		repeat with currentChat in every text chat
			
			-- get chat updated time
			set chatUpdatedTime to updated of currentChat
			
			-- if this chat has been updated since the screen saver is shown
			if chatUpdatedTime is greater than screenSaverInitializeTime then
				
				-- increment total
				set totalNumberOfUnreadMessages to totalNumberOfUnreadMessages + 1
			end if
			
		end repeat
	end tell
	
	-- return total
	return totalNumberOfUnreadMessages
	
end run